# ActionManager QML Type

Since: | Qt 1.0

- List of all members, including inherited members

## Properties

- actions : Action
- globalContext : ActionContext
- localContexts : ActionContext

## Methods

- addAction(action)
- addLocalContext(context)
- removeAction(action)
- removeLocalContext(context)

## Detailed Description

ActionManager exports the application actions to the external components. See Platform Integration and Action Contexts for more details.

## Property Documentation

[default] actions : Action

List of Actions in manager's globalContext.

This is the default property of ActionManager.

globalContext : ActionContext

The globalContext of the Application.

Note: Setting the ActionContext::active on the global context has no effect;

localContexts : ActionContext

List of localContexts.

## Method Documentation

addAction(action)

this is a shorthand for

    manager.globalContext.addAction(action);

See also ActionContext::addAction().

addLocalContext(context)

Adds a local context.

Calling this function multiple times with the same context does not have any side effects; the context gets added only once.

removeAction(action)

this is a shorthand for

    manager.globalContext.removeAction(action);

See also ActionContext::removeAction().

removeLocalContext(context)

Removes a local context.

Calling this function multiple times with the same context does not have any side effects; the context gets removed only if it was previously added with addLocalContext().